Main Page Modules Data Structures Globals Appendix

# MDrawTextItem Struct Reference

Type of textitems. More...

## Data Fields
MText * | mt
int | delta
MFace * | face
MDrawControl * | control

## Detailed Description

Type of textitems.

The type MDrawTextItem is for textitem objects. Each textitem contains an M-text and some other information to control the drawing of the M-text.

## Field Documentation

MText* MDrawTextItem::mt

M-text.

int MDrawTextItem::delta

Optional change in the position (in the unit of pixel) along the X-axis before the M-text is drawn.

MFace* MDrawTextItem::face

Pointer to a face object. Each property of the face, if not Mnil, overrides the same property of face(s) specified as a text property in <mt>.

MDrawControl* MDrawTextItem::control

Pointer to a draw control object. The M-text <mt> is drawn by mdraw_text_with_control() with this control object.

Top of this page
Main Page Modules Data Structures Globals Appendix